//5x5 Base Code.

#include <pic18.h>
#include <htc.h>
//#include "i2c.c"
#include <stdlib.h>
#include "delay.c"

__CONFIG(1,HS);  // HS Osc (20MHz)
__CONFIG(2,0);	//disable wdt

#define OUTPUT 0
#define INPUT 1
#define _XTAL_FREQ 20000000
#define LED RA3


void initPic() {
    CCP1CON = 0; //disable capture/compare on C.2
    CCP2CON = 0; //disable capture/compare on C.1

    ADCON1 = 0b00001111; //turn off all analogs

    GIE = 0; //Disable interrupts

    //Ports A, D outputs
    TRISA = 0b00000000;
    TRISD = 0b00000000;
}


void main(void) {
    initPic();
  
    LED = 1;
    while(1) {
        LED = 0;
        DelayMs(100);
        LED = 1;
        DelayMs(100);
    }
}
